githubEdit

Sign tx

post

Signs a Tron transaction using the provided account name and transaction input.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the transaction for.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The transaction input data.
tostringOptional

The recipient address of the transaction.

valuenumber · doubleOptional

The amount to be sent.

networkstringOptional

The network on which the transaction is taking place.

compressbooleanOptional

Indicates whether to compress the public key.

Responses
chevron-right
200

A promise that resolves to a TronAPIResponse containing the signed transaction data.

application/json
successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post
/tron/{accountName}/sign-tx
200

A promise that resolves to a TronAPIResponse containing the signed transaction data.